{% extends '@!EasyAdmin/layout.html.twig' %}
{% block content %}
    
    {% block header %}
        
        {% set _user_menu_content %}
            <div class="popover-content-section user-details {{ ea.userMenu.items|length > 0 ? 'user-has-actions' }}">
                <h5>
                    {{ ea.user is null ? 'user.anonymous'|trans(domain = 'EasyAdminBundle') : ea.userMenu.name }}
                </h5>
            </div>
            {% block user_menu %}
                {% if ea.userMenu.items|length > 0 %}
                    <div class="popover-content-section user-menu">
                        {% for item in ea.userMenu.items %}
                            {% if item.isMenuSection %}
                                <hr class="m-0" />
                            {% else %}
                                <a href="{{ item.linkUrl }}" class="user-action {{ item.cssClass }}" target="{{ item.linkTarget }}" rel="{{ item.linkRel }}" referrerpolicy="origin-when-cross-origin">
                                    {% if item.icon is not empty %}<i class="fa fa-fw {{ item.icon }}"></i>{% endif %}
                                    <span>{{ item.label }}</span>
                                </a>
                            {% endif %}
                        {% endfor %}
                    </div>
                {% endif %}
            {% endblock user_menu %}
        {% endset %}
        {% if constant('Symfony\\Component\\Security\\Core\\Authorization\\Voter\\AuthenticatedVoter::IS_IMPERSONATOR') is defined %}
            {% set impersonator_permission = 'IS_IMPERSONATOR' %}
        {% else %}
            {% set impersonator_permission = 'ROLE_PREVIOUS_ADMIN' %}
        {% endif %}
        <div class="container-fluid">
            {# for a screen greater than 770px #}
            <nav id="navbar-big-screen" class="row">
                <a href="{{ path('home') }}" class="col-3">
                    <img src="{{ asset('img/logoCagibigMot.png') }}" alt="logo" class="cagibig-logo">
                </a>
                <form class="form-inline search-form col-3 ">
                    <a type="submit">
                        <i class="fas fa-search"></i>
                    </a>
                    <input class=" " type="search" aria-label="Search"
                           placeholder="{% trans %}Search in the catalog{% endtrans %}">
                </form>
                {% if app.user %}
                    <div class="col-1  pt-2">
                        <a href="" >
                            <svg version="1.0" xmlns="http://www.w3.org/2000/svg" class="shopping-cart"
                                 viewBox="0 0 512 512" preserveAspectRatio="xMidYMid meet">
                                <g transform="translate(0.000000,512.000000) scale(0.100000,-0.100000)"
                                   fill="black" stroke="none">
                                    <path d="M198 4902 c-68 -24 -132 -82 -164 -148 -51 -104 -34 -225 44 -319 60 -72 117 -93 278 -105 220 -16 321 -69 386 -200 35 -70 50 -140 247 -1125 198 -989 227 -1116 281 -1240 89 -205 309 -409 535 -496 223 -86 293 -91 1300 -87 l810 3 55 22 c131 54 251 177 415 423 227 342 696 1227 725 1367 28 133 -53 278 -183 328 -59 22 -175 17 -232 -10 -78 -38 -110 -85 -262 -388 -274 -549 -491 -929 -632 -1104 l-41 -53 -763 0 c-419 0 -794 5 -833 10 -183 24 -319 121 -374 267 -11 31 -113 513 -225 1072 -111 559 -210 1045 -220 1080 -22 86 -82 223 -130 296 -89 137 -248 266 -412 335 -187 79 -488 114 -605 72z"/>
                                    <path d="M2865 4709 c-133 -20 -223 -63 -236 -111 -7 -28 -34 -374 -44 -573 -3 -60 -8 -149 -11 -197 l-6 -88 -217 0 c-119 0 -233 -5 -253 -10 -73 -21 -100 -99 -57 -169 42 -69 190 -260 311 -401 164 -191 512 -557 548 -575 37 -19 73 -19 110 0 31 16 357 356 499 519 229 265 381 472 381 520 0 48 -33 93 -77 105 -21 6 -134 11 -255 11 l-218 0 0 38 c0 98 -45 723 -57 792 -9 55 -21 70 -76 95 -94 41 -239 60 -342 44z"/>
                                    <path d="M1930 961 c-89 -29 -141 -60 -206 -125 -97 -97 -144 -210 -144 -345 0 -241 173 -441 417 -483 122 -20 257 14 364 94 142 106 219 292 191 461 -33 191 -164 343 -346 398 -79 24 -202 24 -276 0z"/>
                                    <path d="M3688 957 c-347 -119 -450 -553 -192 -811 86 -86 228 -146 344 -146 116 0 258 60 344 146 220 220 184 580 -75 753 -123 82 -284 104 -421 58z"/>
                                </g>
                            </svg>
                        </a>
                    </div>
                    <div class="col-2 offset-1 pt-2 user user-menu-wrapper {{ is_granted(impersonator_permission) ? 'user-is-impersonated' }}" >
                        {% if ea.user.avatar.filePath is defined %}
                            <img class="header-avatar " src="{{ ea.user.avatar.filePath }}/{{ ea.user.avatar.imageName }}" alt="{{ ea.user.avatar.alt }}" data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true">
                        {% else %}
                            <i class="fas fa-user-alt  header-avatar " data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true"></i>
                        {% endif %}
                        {% if company.logo.filePath is defined %}
                            <a href="#companydetails" data-toggle="collapse" role="button" aria-expanded="false" >
                                <img class="header-logo PositionLogoOnAvatar" src="{{ company.logo.filePath }}/{{ company.logo.imageName }}" alt="{{ company.logo.alt }}">
                            </a>
                            <div id="companydetails" class="collapse ">
                                <div class="arrow-up"></div>
                                <div class="card ">
                                    
                                    <h5 class="card-title"> {{ company.name }}</h5>
                                    
                                    <div class="card-body">
                                        <p>{{ company.address }}</p>
                                        <p>{{ company.postalCode }}</p>
                                    </div>
                                </div>
                            </div>
                        {% else %}
                            <i class="fas fa-building  header-logo "></i>
                        {% endif %}
                    </div>
                    <a href=""  class="pt-2 col-1  text-right">
                        <img src="{{ asset('img/icon/notifBell.png') }}" alt="bell" class="notif-bell">
                    </a>
                {% else%}
                    <a class="pt-2 col-2 text-center" href="{{ path('app_user_register') }}">{%trans%}Register{%endtrans%}</a>
                    <a class="btn btn-primary col-2" href="{{ path('app_login') }}">{%trans%}Sign in{%endtrans%}</a>
                    {% for locale in locales %}
                        {% if locale != app.request.locale %}
                            <a class=" pt-2 col-1 text-right" href="{{ path('translation_locale', {'locale': locale}) }}"><img src ="{{asset('img/'~locale~'.png')}}" alt="{{ locale }}"></a>
                        {% endif %}
                    {% endfor %}
                {% endif %}
                <div class="col-1 pt-2 ">
                    <a href="{{ path('app_sav_email', {subject:'question'}) }}" >
                        <i class="fas fa-question"></i>
                    </a>
                </div>
            </nav>
            {# for a screen smaller than 770px #}
            <nav id="navbar-small-screen">
                <div class="row d-flex justify-content-between">
                    
                    <a href="{{ path('home') }}" class="col-2 pt-1 ">
                        <img src="{{ asset('img/logoCagibigMot.png') }}" alt="logo" class="cagibig-logo">
                    </a>
                    <a class="col-2" href="#navbarPhone" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="collapseExample">
                        <i class="fas fa-bars"></i>
                    </a>
                </div>
            </nav>
            <div id="navbarPhone" class="collapse">
                <div class="row justify-content-center">
                    <div class=" col-6 pt-4 ">
                        <form class="form-inline search-form ">
                            <a type="submit" class="">
                                <i class="fas fa-search"></i>
                            </a>
                            <input class="ml-4" type="search" aria-label="Search"
                                   placeholder="{% trans %}Search in the catalog{% endtrans %}">
                        </form>
                    </div>
                    <div class="col-12 pt-4">
                        {% if app.user %}
                        <div class="row justify-content-around">
                            {% if ea.user.avatar.filePath is defined %}
                                <img class="header-avatar   col-1" src="{{ ea.user.avatar.filePath }}/{{ ea.user.avatar.imageName }}" alt="{{ ea.user.avatar.alt }}" data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true">
                            {% else %}
                                <i class="fas fa-user-alt  header-avatar col-2" data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true"></i>
                            {% endif %}
                            {% if company.logo.filePath is defined %}
                                <img class="header-logo col-2 PositionLogoOnAvatar" src="{{ company.logo.filePath }}/{{ company.logo.imageName }}" alt="{{ company.logo.alt }}" >
                            
                            
                            {% else %}
                                <i class="fas fa-building  header-logo col-2"></i>
                            {% endif %}
                        
                        
                        
                        </div>
                    
                    </div>
                    
                    <div class="col-12 pt-4">
                        <div class="row justify-content-around">
                            <a href="" class="col-2 pl-4">
                                <svg version="1.0" xmlns="http://www.w3.org/2000/svg" class="shopping-cart"
                                     viewBox="0 0 512 512" preserveAspectRatio="xMidYMid meet">
                                    <g transform="translate(0.000000,512.000000) scale(0.100000,-0.100000)"
                                       fill="currentColor" stroke="none">
                                        <path d="M198 4902 c-68 -24 -132 -82 -164 -148 -51 -104 -34 -225 44 -319 60 -72 117 -93 278 -105 220 -16 321 -69 386 -200 35 -70 50 -140 247 -1125 198 -989 227 -1116 281 -1240 89 -205 309 -409 535 -496 223 -86 293 -91 1300 -87 l810 3 55 22 c131 54 251 177 415 423 227 342 696 1227 725 1367 28 133 -53 278 -183 328 -59 22 -175 17 -232 -10 -78 -38 -110 -85 -262 -388 -274 -549 -491 -929 -632 -1104 l-41 -53 -763 0 c-419 0 -794 5 -833 10 -183 24 -319 121 -374 267 -11 31 -113 513 -225 1072 -111 559 -210 1045 -220 1080 -22 86 -82 223 -130 296 -89 137 -248 266 -412 335 -187 79 -488 114 -605 72z"/>
                                        <path d="M2865 4709 c-133 -20 -223 -63 -236 -111 -7 -28 -34 -374 -44 -573 -3 -60 -8 -149 -11 -197 l-6 -88 -217 0 c-119 0 -233 -5 -253 -10 -73 -21 -100 -99 -57 -169 42 -69 190 -260 311 -401 164 -191 512 -557 548 -575 37 -19 73 -19 110 0 31 16 357 356 499 519 229 265 381 472 381 520 0 48 -33 93 -77 105 -21 6 -134 11 -255 11 l-218 0 0 38 c0 98 -45 723 -57 792 -9 55 -21 70 -76 95 -94 41 -239 60 -342 44z"/>
                                        <path d="M1930 961 c-89 -29 -141 -60 -206 -125 -97 -97 -144 -210 -144 -345 0 -241 173 -441 417 -483 122 -20 257 14 364 94 142 106 219 292 191 461 -33 191 -164 343 -346 398 -79 24 -202 24 -276 0z"/>
                                        <path d="M3688 957 c-347 -119 -450 -553 -192 -811 86 -86 228 -146 344 -146 116 0 258 60 344 146 220 220 184 580 -75 753 -123 82 -284 104 -421 58z"/>
                                    </g>
                                </svg>
                            </a>
                            
                            <a href="" class="col-2 ">
                                <img src="{{ asset('img/icon/notifBell.png') }}" alt="bell" class="notif-bell">
                            </a>
                        
                        
                        </div>
                        {% endif %}
                    </div>
                </div>
            </div>
        
        </div>
    
    
    {% endblock header %}


{% endblock content %}